%global packname  rsvg
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.3
Release:          1%{?dist}
Summary:          Render SVG Images into PDF, PNG, PostScript, or Bitmap Arrays

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:
# Suggests:  R-spelling, R-svglite, R-png, R-jpeg, R-webp, R-ggplot2
# LinkingTo:
# Enhances:

Suggests:         R-spelling
Suggests:         R-svglite
Suggests:         R-png
Suggests:         R-jpeg
Suggests:         R-webp
Suggests:         R-ggplot2
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-spelling
BuildRequires:    R-svglite
BuildRequires:    R-png
BuildRequires:    R-jpeg
BuildRequires:    R-webp
BuildRequires:    R-ggplot2
BuildRequires:    librsvg2-devel

%description
Renders vector-based svg images into high-quality custom-size bitmap arrays
using 'librsvg2'. The resulting bitmap can be written to e.g. png, jpeg or webp
format. In addition, the package can convert images directly to various formats
such as pdf or postscript.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Thu May 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3-1
- initial package for Fedora
